# the general syntax is 
# {attribute1: value, attribute2: value, ...}
#
# for example a valid request to /register would look like 
# {"email": "user123@example.org", "username": "user123", "password": "FILTERED", "preferred_language": "german"}
# while a valid request to /events would be the empty object {}

cache_translation_required_attributes = ['original_language_iso', 'original_text', 'target_language_iso']
cache_translation_possible_attributes = ['original_language_iso', 'original_text', 'target_language_iso', 'translated_text']

cities_required_attributes = []
cities_possible_attributes = []

confirm_translation_required_attributes = ['session_id', 'translation_id']
confirm_translation_possible_attributes = ['session_id', 'translation_id']

create_location_required_attributes = ['city', 'house_number', 'phone_number', 'street', 'zip_code']
create_location_possible_attributes = ['city', 'house_number', 'name', 'phone_number', 'room_number', 'street', 'zip_code']

create_organization_required_attributes = ['location_id', 'name']
create_organization_possible_attributes = ['location_id', 'name']

create_person_required_attributes = ['email', 'first_name', 'location_id', 'name']
create_person_possible_attributes = ['email', 'first_name', 'location_id', 'name', 'preferred_language_id']

edit_translation_required_attributes = ['new_text', 'session_id', 'translation_id']
edit_translation_possible_attributes = ['new_text', 'session_id', 'translation_id']

languages_required_attributes = []
languages_possible_attributes = []

location_info_required_attributes = ['location_id', 'session_id']
location_info_possible_attributes = ['location_id', 'session_id']

login_required_attributes = ['email', 'password']
login_possible_attributes = ['email', 'password']

logout_required_attributes = ['session_id']
logout_possible_attributes = ['session_id']

organization_name_exists_required_attributes = ['name']
organization_name_exists_possible_attributes = ['name']

promote_required_attributes = ['promoted_user_id', 'role', 'session_id']
promote_possible_attributes = ['promoted_user_id', 'role', 'session_id']

register_required_attributes = ['password', 'person_id']
register_possible_attributes = ['password', 'person_id']

translations_required_attributes = []
translations_possible_attributes = ['confirmed']

update_location_required_attributes = ['location_id', 'session_id']
update_location_possible_attributes = ['additional_information', 'city', 'house_number', 'location_id', 'name', 'person_id', 'phone_number', 'room_number', 'session_id', 'street', 'zip_code']

update_organization_required_attributes = ['name', 'organization_id', 'session_id']
update_organization_possible_attributes = ['name', 'organization_id', 'person_id', 'session_id']

update_person_required_attributes = ['person_id', 'session_id']
update_person_possible_attributes = ['first_name', 'name', 'new_email', 'new_organization_id', 'new_preferred_language_id', 'person_id', 'session_id']

update_user_required_attributes = ['new_password', 'session_id', 'user_id']
update_user_possible_attributes = ['new_password', 'session_id', 'user_id']

user_info_required_attributes = ['user_id']
user_info_possible_attributes = ['user_id']

users_required_attributes = ['session_id']
users_possible_attributes = ['session_id']
